'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Set mappings to Trend cloud api.
 */

var TOKEN_NAME = 'trendToken';

var API_ROOT = process.env.REACT_APP_ENV === 'dev1' ? 'https://api-dev1.trend.community' : process.env.REACT_APP_ENV === 'web1' ? 'https://api.trend.community' : 'http://localhost:3000';

var ANY_USER = 'any';
var USDAFOODS_USER = 'usdafoods';

var LOGIN_URL = 'auth/login';
var LOGOUT_URL = 'auth/logout';
var REFRESH_URL = 'auth/refresh';

var USERS_URL = 'api/users';
var RECIPES_URL = 'api/recipes';
var MEALS_URL = 'api/meals';
var FOODS_URL = 'api/foods';

var UPLOAD_IMAGE_URL = API_ROOT + '/upload/image';

exports.TOKEN_NAME = TOKEN_NAME;
exports.API_ROOT = API_ROOT;
exports.ANY_USER = ANY_USER;
exports.USDAFOODS_USER = USDAFOODS_USER;
exports.LOGIN_URL = LOGIN_URL;
exports.LOGOUT_URL = LOGOUT_URL;
exports.REFRESH_URL = REFRESH_URL;
exports.USERS_URL = USERS_URL;
exports.RECIPES_URL = RECIPES_URL;
exports.MEALS_URL = MEALS_URL;
exports.FOODS_URL = FOODS_URL;
exports.UPLOAD_IMAGE_URL = UPLOAD_IMAGE_URL;